Bug 1845914 - No way to check installed kuryr-k8s-controller package version within pod
Summary: No way to check installed kuryr-k8s-controller package version within pod
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.5.0
Assignee: Michał Dulko
QA Contact: GenadiC
URL:
Whiteboard:
Depends On: 1843342
Blocks: 1845921
TreeView+ depends on / blocked
 
Reported: 2020-06-10 12:23 UTC by Michał Dulko
Modified: 2020-07-13 17:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1843342
: 1845921 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:43:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kuryr-kubernetes pull 271 0 None closed Bug 1845914: Get RPM and Kuryr version from git 2020-07-01 15:19:34 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:44:07 UTC

Comment 3 Michał Dulko 2020-06-16 12:45:50 UTC
I'll just go ahead and mark it as VERIFIED in 4.5.0-0.nightly-2020-06-16-045437 as it's clearly working:

mdulko:~/ $ docker run -it registry.svc.ci.openshift.org/ocp/release:4.5.0-0.nightly-2020-06-16-045437 image kuryr-controller                                      
quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:29de668016260c72e32dce37c18aae73f8a87fe7ac372215e7be82507ab101a5%                                                                        mdulko:~/ $ docker run -it --entrypoint bash quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:29de668016260c72e32dce37c18aae73f8a87fe7ac372215e7be82507ab101a5
bash-4.4$ kuryr-k8s-controller --version
4.5.0                  
bash-4.4$ python3 -m pip freeze | grep kuryr-kubernetes
The directory '/var/lib/kuryr/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
kuryr-kubernetes==4.5.0

Comment 4 errata-xmlrpc 2020-07-13 17:43:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.